V1PlatformCommunityClubIdCategory
/v1/platform/community/club/{id}/category
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/platform/community/club/497f6eca-6276-4993-bfeb-53cbbbba6f08/category" \ -H "Content-Type: application/json" \ -d '{ "expectedVersion": 0, "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6", "category": "general" }'{ "item": { "kind": "club", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "version": 1, "status": "draft", "payload": { "kind": "club", "category": "general", "title": "string", "summary": "string", "coverImage": { "url": "http://example.com", "alt": "string", "source": "ai_generated" } } }, "replayed": true}